﻿@{
    ViewData["Title"] = "Home Page";
}

<div class="text-center">
    <h2 class="display-4">
        Dependency Injection Lifetime
    </h2>
</div>
<table class="table table-bordered">
    <thead>
        <tr>
            <th>Service Type</th>
            <th>First Instance Operation ID</th>
            <th>Second Instance Operation ID</th>
            <th>Details</th>
        </tr>
    </thead>
    <tbody>
        <tr style="background-color:aquamarine">
            <td>Transient</td>
            <td>@ViewBag.transient1</td>
            <td>@ViewBag.transient2</td>
            <td>Will change on each different object request</td>
        </tr>
        <tr style="background-color:chocolate">
            <td>Scoped</td>
            <td>@ViewBag.scoped1</td>
            <td>@ViewBag.scoped2</td>
            <td>Will change on each request F5 Refresh</td>
        </tr>
        <tr style="background-color:antiquewhite">
            <td>Singleton</td>
            <td>@ViewBag.singleton1</td>
            <td>@ViewBag.singleton2</td>
            <td>Not change after even refresh application need to be re-run</td>
        </tr>
    </tbody>
</table>  